Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.svimservice.nsisr.web.ws.strutturariabilitativapsichiatrica.vo.dettagliostrutturariabilitativapsichiatrica
Class DettaglioStrutturaRiabilitativaPsichiatricaResponse

    java.lang.Object
      it.svimservice.nsisr.web.ws.strutturariabilitativapsichiatrica.vo.dettagliostrutturariabilitativapsichiatrica.DettaglioStrutturaRiabilitativaPsichiatricaResponse

    public class DettaglioStrutturaRiabilitativaPsichiatricaResponse

extends java.lang.Object

Field Summary
`private java.lang.String` | `codCap` CAP del comune sede della Struttura Sanitaria
`private int` | `codCategoria` Codice categoria della struttura (01=AMBULATORIO SPECIALISTICO, 02=ISTITUTO DI RICOVERO, 03=PUNTO DI CA, 04=STABILIMENTO OSPEDALIERO, 05=REPARTO OSPEDALIERO, 06=CENTRALE OPERATIVA EMERGENZA SANITARIA, 07=POSTAZIONE DI EMERGENZA SANITARIA, 08=RESIDENZA ASSISTENZIALE, 09=SEDE MEDICINA DI SERVIZIO, 10=STRUTTURA RIABILITATIVA, 12=DISTRETTO SOCIO SANITARIO, 13=AZIENDA SANITARIA LOCALE, 14=SERVIZIO OSPEDALIERO, 16=STRUTTURA ACCETTAZIONE D'URGENZA, 17=STRUTTURA TRASFUSIONALE, 21=FARMACIA, 22=STUDIO PROFESSIONALE, 23=STRUTTURA SPECIALISTICA 24=ASSOCIAZIONE DI VOLONTARIATO 25=STRUTTURA PRIVATA ASSISTENZA DOMICILIARE 26=FARMACIA DECENTRATA DISTRETTUALE 27=STRUTTURA RIABILITATIVA PSICHIATRICA 28=HOSPICE 29=CENTRO DI PROCREAZIONE MEDICALMENTE ASSISTITA 30=STRUTTURA PER TOSSICODIPENDENTI 31=STRUTTURA PER CURE TERMALI )
`private java.lang.String` | `codISTATComune` Codice ISTAT del comune in cui ha sede la Struttura Sanitaria
`private java.lang.String` | `codNazionale` Codice nazionale
`private java.lang.String` | `codStruttura` Codice regionale della Struttura Sanitaria
`private java.lang.String` | `codSTS` Codice ministeriale della Struttura sanitaria
`private int` | `codTipoAssistenza` 1 = RESIDENZIALE 2 = SEMIRESIDENZIALE
`private int` | `codTipologiaGiuridica` Codice tipologia giuridica della Struttura sanitaria
`private int` | `codTipoResidenza` 1 = COMUNITA' ALLOGGIO 2 = GRUPPO APPARTAMENTO 3 = CENTRO DIURNO 4 = C.R.A.P.
`private java.util.Date` | `dataChiusura` Data di chiusura della Struttura Sanitaria
`private java.util.Date` | `dataIstituzione` Data di istituzione della Struttura Sanitaria
`private java.lang.String` | `denominazione` Denominazione della Struttura Sanitaria
`private java.lang.String` | `denominazioneComune` Denominazione del comune in cui ha sede la Struttura Sanitaria
`private java.lang.String` | `descNote` Eventuali informazioni aggiuntive sulla R.S.A.
`private java.lang.String` | `descOrarioVisite` Orario consentito per le visite.
`private java.lang.String` | `enteGestore` Codice ente gestore della Struttura sanitaria
`private java.lang.String` | `fax` Numero di fax della Struttura Sanitaria
`private java.lang.String` | `indirizzo` Indirizzo in cui ha sede la Struttura Sanitaria
`private java.lang.String` | `indPostaElettronica` Indirizzo e-mail della Struttura Sanitaria
`private java.lang.String` | `indSitoWeb` Indirizzo del sito internet della Struttura Sanitaria
`private java.lang.String` | `motivoChiusura` Motivo chiusura sede della Struttura Sanitaria
`private java.lang.String` | `motivoIstituzione` Motivo istituzione della sede della Struttura Sanitaria
`private int` | `numdDistretto`
`private int` | `numeroPostiLettoAccreditati` Numero di posti letto accreditati
`private int` | `numeroPostiLettoAutorizzati` Numero di posti letto autorizzati
`private java.lang.String` | `partitaIva` Partita IVA della Struttura Sanitaria
`private java.lang.String` | `telefono` Numero di telefono della Struttura Sanitaria

Constructor Summary
`DettaglioStrutturaRiabilitativaPsichiatricaResponse()`

Method Summary
`java.lang.String` | `getCodCap()`
`int` | `getCodCategoria()`
`java.lang.String` | `getCodISTATComune()`
`java.lang.String` | `getCodNazionale()`
`java.lang.String` | `getCodStruttura()`
`java.lang.String` | `getCodSTS()`
`int` | `getCodTipoAAssistenza()`
`int` | `getCodTipologiaGiuridica()`
`int` | `getCodTipoResidenza()`
`java.util.Date` | `getDataChiusura()`
`java.util.Date` | `getDataIstituzione()`
`java.lang.String` | `getDenominazione()`
`java.lang.String` | `getDenominazioneComune()`
`java.lang.String` | `getDescNote()`
`java.lang.String` | `getDescOrarioVisite()`
`java.lang.String` | `getEnteGestore()`
`java.lang.String` | `getFax()`
`java.lang.String` | `getIndirizzo()`
`java.lang.String` | `getIndPostaElettronica()`
`java.lang.String` | `getIndSitoWeb()`
`java.lang.String` | `getMotivoChiusura()`
`java.lang.String` | `getMotivoIstituzione()`
`int` | `getNumDistretto()`
`int` | `getNumeroPostiLettoAccreditati()`
`int` | `getNumeroPostiLettoAutorizzati()`
`java.lang.String` | `getPartitaIva()`
`java.lang.String` | `getTelefono()`
`void` | `setCodCap(java.lang.String codCap)`
`void` | `setCodCategoria(int codCategoria)`
`void` | `setCodISTATComune(java.lang.String codISTATComune)`
`void` | `setCodNazionale(java.lang.String codNazionale)`
`void` | `setCodStruttura(java.lang.String codStruttura)`
`void` | `setCodSTS(java.lang.String codSTS)`
`void` | `setCodTipoAssistenza(int codTipoAssistenza)`
`void` | `setCodTipologiaGiuridica(int codTipologiaGiuridica)`
`void` | `setCodTipoResidenza(int codTipoResidenza)`
`void` | `setDataChiusura(java.util.Date dataChiusura)`
`void` | `setDataIstituzione(java.util.Date dataIstituzione)`
`void` | `setDenominazione(java.lang.String denominazione)`
`void` | `setDenominazioneComune(java.lang.String denominazioneComune)`
`void` | `setDescNote(java.lang.String descNote)`
`void` | `setDescOrarioVisite(java.lang.String descOrarioVisite)`
`void` | `setEnteGestore(java.lang.String enteGestore)`
`void` | `setFax(java.lang.String fax)`
`void` | `setIndirizzo(java.lang.String indirizzo)`
`void` | `setIndPostaElettronica(java.lang.String indPostaElettronica)`
`void` | `setIndSitoWeb(java.lang.String indSitoWeb)`
`void` | `setMotivoChiusura(java.lang.String motivoChiusura)`
`void` | `setMotivoIstituzione(java.lang.String motivoIstituzione)`
`void` | `setNumDistretto(int numDistretto)`
`void` | `setNumeroPostiLettoAccreditati(int numeroPostiLettoAccreditati)`
`void` | `setNumeroPostiLettoAutorizzati(int numeroPostiLettoAutorizzati)`
`void` | `setPartitaIva(java.lang.String partitaIva)`
`void` | `setTelefono(java.lang.String telefono)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### codStruttura

    private java.lang.String codStruttura

  Codice regionale della Struttura Sanitaria

### denominazione

    private java.lang.String denominazione

  Denominazione della Struttura Sanitaria

### indirizzo

    private java.lang.String indirizzo

  Indirizzo in cui ha sede la Struttura Sanitaria

### telefono

    private java.lang.String telefono

  Numero di telefono della Struttura Sanitaria

### dataIstituzione

    private java.util.Date dataIstituzione

  Data di istituzione della Struttura Sanitaria

### dataChiusura

    private java.util.Date dataChiusura

  Data di chiusura della Struttura Sanitaria

### indPostaElettronica

    private java.lang.String indPostaElettronica

  Indirizzo e-mail della Struttura Sanitaria

### indSitoWeb

    private java.lang.String indSitoWeb

  Indirizzo del sito internet della Struttura Sanitaria

### codISTATComune

    private java.lang.String codISTATComune

  Codice ISTAT del comune in cui ha sede la Struttura Sanitaria

### denominazioneComune

    private java.lang.String denominazioneComune

  Denominazione del comune in cui ha sede la Struttura Sanitaria

### codCategoria

    private int codCategoria

  Codice categoria della struttura (01=AMBULATORIO SPECIALISTICO, 02=ISTITUTO DI RICOVERO, 03=PUNTO DI CA, 04=STABILIMENTO OSPEDALIERO, 05=REPARTO OSPEDALIERO, 06=CENTRALE OPERATIVA EMERGENZA SANITARIA, 07=POSTAZIONE DI EMERGENZA SANITARIA, 08=RESIDENZA ASSISTENZIALE, 09=SEDE MEDICINA DI SERVIZIO, 10=STRUTTURA RIABILITATIVA, 12=DISTRETTO SOCIO SANITARIO, 13=AZIENDA SANITARIA LOCALE, 14=SERVIZIO OSPEDALIERO, 16=STRUTTURA ACCETTAZIONE D'URGENZA, 17=STRUTTURA TRASFUSIONALE, 21=FARMACIA, 22=STUDIO PROFESSIONALE, 23=STRUTTURA SPECIALISTICA 24=ASSOCIAZIONE DI VOLONTARIATO 25=STRUTTURA PRIVATA ASSISTENZA DOMICILIARE 26=FARMACIA DECENTRATA DISTRETTUALE 27=STRUTTURA RIABILITATIVA PSICHIATRICA 28=HOSPICE 29=CENTRO DI PROCREAZIONE MEDICALMENTE ASSISTITA 30=STRUTTURA PER TOSSICODIPENDENTI 31=STRUTTURA PER CURE TERMALI )

### partitaIva

    private java.lang.String partitaIva

  Partita IVA della Struttura Sanitaria

### codNazionale

    private java.lang.String codNazionale

  Codice nazionale

### fax

    private java.lang.String fax

  Numero di fax della Struttura Sanitaria

### codCap

    private java.lang.String codCap

  CAP del comune sede della Struttura Sanitaria

### motivoChiusura

    private java.lang.String motivoChiusura

  Motivo chiusura sede della Struttura Sanitaria

### motivoIstituzione

    private java.lang.String motivoIstituzione

  Motivo istituzione della sede della Struttura Sanitaria

### codSTS

    private java.lang.String codSTS

  Codice ministeriale della Struttura sanitaria

### codTipologiaGiuridica

    private int codTipologiaGiuridica

  Codice tipologia giuridica della Struttura sanitaria

### enteGestore

    private java.lang.String enteGestore

  Codice ente gestore della Struttura sanitaria

### numdDistretto

    private int numdDistretto

### descOrarioVisite

    private java.lang.String descOrarioVisite

  Orario consentito per le visite.

### descNote

    private java.lang.String descNote

  Eventuali informazioni aggiuntive sulla R.S.A. (se è gestita da un ente privato, posti letto riservati per particolari patologie, ecc.).

### codTipoResidenza

    private int codTipoResidenza

  1 = COMUNITA' ALLOGGIO 2 = GRUPPO APPARTAMENTO 3 = CENTRO DIURNO 4 = C.R.A.P.

### codTipoAssistenza

    private int codTipoAssistenza

  1 = RESIDENZIALE 2 = SEMIRESIDENZIALE

### numeroPostiLettoAutorizzati

    private int numeroPostiLettoAutorizzati

  Numero di posti letto autorizzati

### numeroPostiLettoAccreditati

    private int numeroPostiLettoAccreditati

  Numero di posti letto accreditati

Constructor Detail

### DettaglioStrutturaRiabilitativaPsichiatricaResponse

    public DettaglioStrutturaRiabilitativaPsichiatricaResponse()

Method Detail

### getCodStruttura

    public java.lang.String getCodStruttura()

### setCodStruttura

    public void setCodStruttura(java.lang.String codStruttura)

### getDenominazione

    public java.lang.String getDenominazione()

### setDenominazione

    public void setDenominazione(java.lang.String denominazione)

### getIndirizzo

    public java.lang.String getIndirizzo()

### setIndirizzo

    public void setIndirizzo(java.lang.String indirizzo)

### getTelefono

    public java.lang.String getTelefono()

### setTelefono

    public void setTelefono(java.lang.String telefono)

### getDataIstituzione

    public java.util.Date getDataIstituzione()

### setDataIstituzione

    public void setDataIstituzione(java.util.Date dataIstituzione)

### getDataChiusura

    public java.util.Date getDataChiusura()

### setDataChiusura

    public void setDataChiusura(java.util.Date dataChiusura)

### getIndPostaElettronica

    public java.lang.String getIndPostaElettronica()

### setIndPostaElettronica

    public void setIndPostaElettronica(java.lang.String indPostaElettronica)

### getIndSitoWeb

    public java.lang.String getIndSitoWeb()

### setIndSitoWeb

    public void setIndSitoWeb(java.lang.String indSitoWeb)

### getCodISTATComune

    public java.lang.String getCodISTATComune()

### setCodISTATComune

    public void setCodISTATComune(java.lang.String codISTATComune)

### getDenominazioneComune

    public java.lang.String getDenominazioneComune()

### setDenominazioneComune

    public void setDenominazioneComune(java.lang.String denominazioneComune)

### getCodCategoria

    public int getCodCategoria()

### setCodCategoria

    public void setCodCategoria(int codCategoria)

### getPartitaIva

    public java.lang.String getPartitaIva()

### setPartitaIva

    public void setPartitaIva(java.lang.String partitaIva)

### getCodNazionale

    public java.lang.String getCodNazionale()

### setCodNazionale

    public void setCodNazionale(java.lang.String codNazionale)

### getFax

    public java.lang.String getFax()

### setFax

    public void setFax(java.lang.String fax)

### getCodCap

    public java.lang.String getCodCap()

### setCodCap

    public void setCodCap(java.lang.String codCap)

### getMotivoIstituzione

    public java.lang.String getMotivoIstituzione()

### setMotivoIstituzione

    public void setMotivoIstituzione(java.lang.String motivoIstituzione)

### getMotivoChiusura

    public java.lang.String getMotivoChiusura()

### setMotivoChiusura

    public void setMotivoChiusura(java.lang.String motivoChiusura)

### getCodSTS

    public java.lang.String getCodSTS()

### setCodSTS

    public void setCodSTS(java.lang.String codSTS)

### getCodTipologiaGiuridica

    public int getCodTipologiaGiuridica()

### setCodTipologiaGiuridica

    public void setCodTipologiaGiuridica(int codTipologiaGiuridica)

### getEnteGestore

    public java.lang.String getEnteGestore()

### setEnteGestore

    public void setEnteGestore(java.lang.String enteGestore)

### getDescOrarioVisite

    public java.lang.String getDescOrarioVisite()

### setDescOrarioVisite

    public void setDescOrarioVisite(java.lang.String descOrarioVisite)

### getDescNote

    public java.lang.String getDescNote()

### setDescNote

    public void setDescNote(java.lang.String descNote)

### getCodTipoAAssistenza

    public int getCodTipoAAssistenza()

### setCodTipoAssistenza

    public void setCodTipoAssistenza(int codTipoAssistenza)

### getCodTipoResidenza

    public int getCodTipoResidenza()

### setCodTipoResidenza

    public void setCodTipoResidenza(int codTipoResidenza)

### getNumDistretto

    public int getNumDistretto()

### setNumDistretto

    public void setNumDistretto(int numDistretto)

### getNumeroPostiLettoAutorizzati

    public int getNumeroPostiLettoAutorizzati()

### setNumeroPostiLettoAutorizzati

    public void setNumeroPostiLettoAutorizzati(int numeroPostiLettoAutorizzati)

### getNumeroPostiLettoAccreditati

    public int getNumeroPostiLettoAccreditati()

### setNumeroPostiLettoAccreditati

    public void setNumeroPostiLettoAccreditati(int numeroPostiLettoAccreditati)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD